<?php 
    $album = $this->album;
    $albumImages = isset($album->postImageData) ? json_decode($album->postImageData) : '';
/*    echo "<pre>"; print_r($albumImages); die;*/
    $albumName = isset($album->postTitle) ? $album->postTitle : '';
    $albumContent = isset($album->postContent) ? $album->postContentRaw : '';
?>
<div class="modal fade" id="editAlbumForm" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-top-padding-10" role="document">
        <div class="modal-content edit">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Upload Photo Album</h4>
            </div>
            <div class="modal-body editor-content">

                <form id="frmUploadAlbum" action="" method="post" class="photo-album">
                    <input type="text" placeholder="Album title" class="form-control story-title story-input-title" value="<?php echo $albumName; ?>" />
                    <textarea placeholder="Write something about this album" class="textarea-scrollbar scrollbar-outer form-control story-input-text"><?php echo $albumContent; ?></textarea>

                    <div id="photo_section" class="col-md-12 nopadding">

                        <div class="col-md-3 col-xs-12 col-sm-3 uploadPhotoBox photo_container nopadding">
                            <div class="upload_photosection" onclick="uploadImage('photo-album');">
                                <i aria-hidden="true" class="fa fa-picture-o fa-2x step1"></i>
                                <p>Add photos</p>
                            </div>
                        </div>
                        <div class="col-md-9 col-sm-9">
                            <div class="slider1">
                                
                            </div>
                            
                            <div id="tempImageData">
                                <?php if(!empty($albumImages)){ ?>
                                    <?php foreach($albumImages as $albumImage){ ?>
                                        <?php 
                                            $imagepathInfo = pathinfo($albumImage->url); 
                                            $fileName = $imagepathInfo['filename'];
                                            $caption = (isset($albumImage->caption) && trim($albumImage->caption) != '') ? trim($albumImage->caption) : '';
                                        ?>
                                        <div class="photo_container">
                                            <a href="javascript:void(0);" onclick="removePhotoAlbumImageClicked(this, 'photo_album');">x</a>
                                            <div class="photo-image-container">
                                                <img src="<?php echo trim($albumImage->url); ?>" />
                                            </div>
                                            <div class="photo_caption_container">
                                                <textarea data-filename="<?php echo $fileName; ?>" placeholder="Add a photo caption" class="textarea-scrollbar scrollbar-outer form-control image-caption image-caption_<?php echo $fileName; ?>"><?php echo $caption; ?></textarea>
                                            </div>
                                        </div>
                                    <?php } ?>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-primary" onclick="editPostType('photo-album', 'photo', true, <?php echo $album->id; ?>)">Post</button>
            </div>
        </div>
    </div>
</div>
<?php die; ?>